
public class Class225_Sub4_Sub2 extends Class225_Sub4 {

   Class502 aClass502_10407;


   public boolean method13343() {
      Class515_Sub1_Sub1_Sub1 var1 = this.aClass502_10407.method8377((byte)79);
      if(null != var1) {
         Class19.method790(Class386.aClass386_4813, -165881631 * this.anInt8385, -1, this.aClass502_10407, var1, 117197624);
         return true;
      } else {
         return false;
      }
   }

   public boolean method13344(int var1) {
      Class515_Sub1_Sub1_Sub1 var2 = this.aClass502_10407.method8377((byte)42);
      if(null != var2) {
         if(var1 != 1385214721) {
            ;
         }

         Class19.method790(Class386.aClass386_4813, -165881631 * this.anInt8385, -1, this.aClass502_10407, var2, 391857164);
         return true;
      } else {
         return false;
      }
   }

   public Class225_Sub4_Sub2(int var1, int var2, Class502 var3) {
      super(var1, var2);
      this.aClass502_10407 = var3;
   }

   public boolean method13346() {
      Class515_Sub1_Sub1_Sub1 var1 = this.aClass502_10407.method8377((byte)124);
      if(null != var1) {
         Class19.method790(Class386.aClass386_4813, -165881631 * this.anInt8385, -1, this.aClass502_10407, var1, -919274651);
         return true;
      } else {
         return false;
      }
   }

   public boolean method13345() {
      Class515_Sub1_Sub1_Sub1 var1 = this.aClass502_10407.method8377((byte)21);
      if(null != var1) {
         Class19.method790(Class386.aClass386_4813, -165881631 * this.anInt8385, -1, this.aClass502_10407, var1, -881357323);
         return true;
      } else {
         return false;
      }
   }

   public boolean method13347() {
      Class515_Sub1_Sub1_Sub1 var1 = this.aClass502_10407.method8377((byte)12);
      if(null != var1) {
         Class19.method790(Class386.aClass386_4813, -165881631 * this.anInt8385, -1, this.aClass502_10407, var1, 732899042);
         return true;
      } else {
         return false;
      }
   }
}
